Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 53404 - JavaHMO - TiVo Home Media Option server (New Package)
Summary: JavaHMO - TiVo Home Media Option server (New Package)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://javahmo.sourceforge.net/
Whiteboard:
Keywords: EBUILD, Inclusion
Depends on:
Blocks:
 
Reported: 2004-06-09 06:22 UTC by chouser (RETIRED)
Modified: 2006-10-23 09:58 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for media-tv/javahmo-bin-1.2 (javahmo-bin-1.2.ebuild,738 bytes, text/plain)
2004-06-09 06:25 UTC, chouser (RETIRED)
Details
init.d script for media-tv/javahmo-bin-1.2 (javahmo.rc,556 bytes, text/plain)
2004-06-09 06:27 UTC, chouser (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chouser (RETIRED) gentoo-dev 2004-06-09 06:22:42 UTC
I will attach the ebuild and rc files.  I think media-tv/javahmo-bin would be a good place for this package.
Comment 1 chouser (RETIRED) gentoo-dev 2004-06-09 06:25:50 UTC
Created attachment 32970 [details]
Ebuild for media-tv/javahmo-bin-1.2
Comment 2 chouser (RETIRED) gentoo-dev 2004-06-09 06:27:42 UTC
Created attachment 32971 [details]
init.d script for media-tv/javahmo-bin-1.2
Comment 3 Bryan Ragon 2004-06-13 17:09:50 UTC
There is a updated version of javahmo.jar that needs to be applied over the most recent version.  I don't know enough about editing ebuilds otherwise I would try to make the changes.  The new javahmo.jar file is available at:
http://javahmo.sourceforge.net/javahmo.jar
And needs to be copied over:
/usr/share/javaHMO/lib/javahmo.jar
Comment 4 Greg Pugh 2004-09-04 14:40:12 UTC
This package requires a 1.4.2 JRE as well as JAI.  I believe that this dependency can be put in the ebuild?

As far as I know right now there's no unmasked JAI package so it may be a bit before this ebuild can be made available.  Also, the 1.4.2 JRE is currently masked but the JDK can be substituted.
Comment 5 Doug Goldstein gentoo-dev 2005-12-25 21:37:28 UTC
chouser, if you wanna maintain it... it's yours.
Comment 6 Steve Dibb (RETIRED) gentoo-dev 2006-10-23 09:58:21 UTC
Closing bug since it looks like this project has halted development.

"This is the final version of JavaHMO. All future development will occur in the next-generation version of JavaHMO called Galleon."

Feel free to a submit an ebuild + bug request for Galleon, if you haven't already.